com.ihr.xbrl.om

## Enum DTSContainer.Status

- java.lang.Object
- - java.lang.Enum<DTSContainer.Status>
  - - com.ihr.xbrl.om.DTSContainer.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DTSContainer.Status>
  Enclosing class:
    DTSContainer

      public static enum DTSContainer.Status
      extends java.lang.Enum<DTSContainer.Status>

  The Enum Status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPILE` The processor has loaded all required schemas and they are already part of the object model.
    `DISCOVERY` The processor is in DISCOVERY status when a DTS is being loaded.
    `EMPTY` The processor is in EMPTY when no DTS has been loaded.
    `ERROR` The processor is in ERROR status if an exception has occurred during the the processing of the DTS discovery and the information is not stable.
    `LOADED` The processor is in LOADED status when the DTS has been loaded and validation can be started.
    `VALIDATION` The processor is in VALIDATION status when the DTS is being validated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DTSContainer.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DTSContainer.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EMPTY

          public static final DTSContainer.Status EMPTY

      The processor is in EMPTY when no DTS has been loaded.

    - #### DISCOVERY

          public static final DTSContainer.Status DISCOVERY

      The processor is in DISCOVERY status when a DTS is being loaded. This is an internal status used by the API

    - #### COMPILE

          public static final DTSContainer.Status COMPILE

      The processor has loaded all required schemas and they are already part of the object model. Now loaded resources are going to be compiled by the different processors

    - #### LOADED

          public static final DTSContainer.Status LOADED

      The processor is in LOADED status when the DTS has been loaded and validation can be started. This is the normal status of operation.

    - #### VALIDATION

          public static final DTSContainer.Status VALIDATION

      The processor is in VALIDATION status when the DTS is being validated. The processor goes back to LOADED status after validation is finished.

    - #### ERROR

          public static final DTSContainer.Status ERROR

      The processor is in ERROR status if an exception has occurred during the the processing of the DTS discovery and the information is not stable.

  - ### Method Detail

    - #### values

          public static DTSContainer.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DTSContainer.Status c : DTSContainer.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DTSContainer.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null